<template>
  <div v-if="date || location" class="information">
    <div v-if="date">
      <div v-html="format(new Date(date), 'dd MMMM yyyy')"></div>
    </div>
    <div v-if="location">
      <svg-icon name="marker" />
      <div
        v-html="[location.city, location.country].filter(e => !!e).join(', ')"
      ></div>
    </div>
  </div>
</template>
<script lang="ts">
import { defineComponent } from '@nuxtjs/composition-api'
import { format } from 'date-fns'

export default defineComponent({
  name: 'InformationEvent',
  props: ['date', 'location'],
  setup() {
    return { format }
  }
})
</script>

<style lang="scss" scoped>
.information {
  display: flex;
  flex-wrap: nowrap;
  overflow-x: auto;
  overflow-y: hidden;
  align-items: center;
  margin-right: -30px;
  margin-bottom: 20px;
  white-space: nowrap;

  @media (max-width: 1199.98px) {
    display: block;
    white-space: normal;
    margin-right: 0px;
  }

  > div {
    display: flex;
    align-items: center;
    padding-right: 30px;

    @media (max-width: 1199.98px) {
      display: block;
      margin-bottom: 5px;
      padding-right: 0px;
      &:last-child {
        margin-bottom: 0px;
      }
    }

    svg {
      flex: none;
      fill: #0065ff;
      width: 20px;
      height: 20px;
      margin-right: 10px;
      @media (max-width: 1199.98px) {
        display: none;
      }
    }

    div {
      font-size: 16px;
      line-height: 20px;
      letter-spacing: 0px;
      color: #8591ad;
      text-transform: uppercase;
      font-weight: bold;

      @media (min-width: 1199.98px) {
        letter-spacing: 1px;
        line-height: 25px;
      }
    }
  }
}
</style>
